## pyinsane 2.0.13

=== Makefile ===
VERSION_FILE = pyinsane2/_version.py
PYTHON ?= python3

build: build_c build_py

install: install_py install_c

uninstall: uninstall_py

build_py: ${VERSION_FILE}
	${PYTHON} ./setup.py build

build_c:

${VERSION_FILE}:
	echo -n "version = \"" >| $@
	echo -n $(shell git describe --always) >> $@
	echo "\"" >> $@

version: ${VERSION_FILE}

doc: install_py
	(cd doc && make html)
	cp doc/index.html doc/build/index.html

check:
	flake8
# 	pydocstyle pyinsane2

test: ${VERSION_FILE}
	tox

linux_exe:

windows_exe:

release:
ifeq (${RELEASE}, )
	@echo "You must specify a release version (make release RELEASE=1.2.3)"
else
	@echo "Will release: ${RELEASE}"
	@echo "Checking release is in ChangeLog ..."
	grep -v xx ChangeLog | grep ${RELEASE}
	@echo "Releasing ..."
	git tag -a ${RELEASE} -m ${RELEASE}
	git push origin ${RELEASE}
	make clean
	make version
	${PYTHON} ./setup.py sdist upload
	@echo "All done"
endif

clean:
	rm -rf doc/build
	rm -rf build dist *.egg-info
	rm -f ${VERSION_FILE}

install_py: ${VERSION_FILE}
	${PYTHON} ./setup.py install ${PIP_ARGS}

install_c:

uninstall_py:
	pip3 uninstall -y pyinsane2

uninstall_c:

help:
	@echo "make build || make build_py"
	@echo "make check"
	@echo "make doc"
	@echo "make help: display this message"
	@echo "make install || make install_py"
	@echo "make release"
	@echo "make test"
	@echo "make uninstall || make uninstall_py"

.PHONY: \
	build \
	build_c \
	build_py \
	check \
	doc \
	linux_exe \
	windows_exe \
	help \
	install \
	install_c \
	install_py \
	release \
	test \
	uninstall \
	uninstall_c \
	version

=== doc/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python3 -m sphinx
SPHINXPROJ    = Pyinsane
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
pyinsane (2.0.13-1) unstable; urgency=medium

  * Initial release (Closes: #741881)

 -- Thomas Perret <thomas.perret@phyx.fr>  Mon, 05 Nov 2018 10:28:43 +0100

=== debian/control ===
Source: pyinsane
Section: python
Priority: optional
Maintainer: Thomas Perret <thomas.perret@phyx.fr>
Build-Depends: debhelper (>= 11), dh-python, python3-all, python3-setuptools, python3-nose, python3-pil, libsane
Standards-Version: 4.2.1
Homepage: https://gitlab.gnome.org/World/OpenPaperwork/pyinsane
Vcs-Browser: https://salsa.debian.org/openpaperwork-team/pyinsane
Vcs-Git: https://salsa.debian.org/openpaperwork-team/pyinsane.git

Package: python3-pyinsane
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, libsane
Description: Python library to access and use image scanners (Python 3)
 Python library to access and use image scanners using sane.
 It supports: flatbed, automatic document feeder, while scanning, can provide
 chunks of the image for on-the-fly preview
 .
 This package installs the library for Python 3.

=== debian/tests/control ===
Test-Command: set -e ; for py in $(py3versions -r 2>/dev/null) ; do cd "$ADTTMP" ; echo "Testing with $py:" ; $py -c "import pyinsane2; print(pyinsane2.__version__)" ; done
Depends: python3-all, python3-pyinsane
Restrictions: allow-stderr, superficial

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/archive\/(\d\S+)\/pyinsane.*\.tar\.gz/pyinsane-$1\.tar\.gz/g \
  https://gitlab.gnome.org/World/OpenPaperWork/pyinsane/tags?sort=updated_desc .*/archive/(\d\S+)/.*\.tar\.gz.*
